package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * （新）安装销售类型表下载记录
 * </p>
 *
 * @author gejiang
 * @since 2023-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAzAssignXslxDowload对象", description="（新）安装销售类型表下载记录")
public class ItfTblAzAssignXslxDowload extends Model<ItfTblAzAssignXslxDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "xslxid", type = IdType.ID_WORKER_STR)
    private Long xslxid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "销售类型名称")
    private String xslxmc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "状态")
    private String flag;

    @ApiModelProperty(value = "添加时是否允许修改")
    private Integer yxlr;

    @ApiModelProperty(value = "英文代名词")
    private String dmc;

    @ApiModelProperty(value = "创建人")
    private String cjren;

    @ApiModelProperty(value = "创建网点编号")
    private String cjwdno;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;

    @ApiModelProperty(value = "1录入、2商城等录入情况选择")
    private String situation;


    @Override
    protected Serializable pkVal() {
        return this.xslxid;
    }

}
