package com.zfire.jiasm.syncdata.pojo.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.Instant;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-03-29
 */
@Data
public class QueryNotificationBO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * clientId
     */
    @ApiModelProperty(value = "clientId")
    private String clientId;
    /**
     * 上一次查询时间
     */
    @ApiModelProperty(value = "上一次查询时间")
    private Instant lastSearchDate;
    /**
     * 页数
     */
    @ApiModelProperty(value = "页数")
    private Integer page;
    /**
     * 条数
     */
    @ApiModelProperty(value = "条数")
    private Integer size;

    /**
     * 商品类别
     */
    @ApiModelProperty(value = "商品类别")
    private String spid;
}
