package com.zfire.jiasm.syncdata.pojo.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-03-29
 */
@Data
public class QuerySpecialInstallBO  implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * clientId
     */
    @ApiModelProperty(value = "clientId")
    private String clientId;
    /**
     * 上一次查询时间
     */
    @ApiModelProperty(value = "上一次查询时间")
    private String lastSearchDate;
    /**
     * 页数
     */
    @ApiModelProperty(value = "页数")
    private Integer pageNum;
    /**
     * 条数
     */
    @ApiModelProperty(value = "条数")
    private Integer size;

    /**
     * 申请类别：跨区安装申请：kqaz、非现场获取开机密码：kjmm、非现场采集数据：cjsj
     */
    @ApiModelProperty(value = "商品类别")
    private String sqlb;
}