package com.zfire.jiasm.syncdata.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-01-30
 */
@Data
public class ZJInfo {

    @ApiModelProperty(value = "证件编号:其中驾驶证【车牌号/GPS码】，保险证【保险公司/保险编号】，其他都为证件编号")
    private String zjbh;

    @ApiModelProperty(value = "证件复审时间:高空作业证与制冷工证不能为空")
    private String zjfssj;

    @ApiModelProperty(value = "证件路径（多个路径用逗号拼接）")
    private String zjlj;

    @ApiModelProperty(value = "证件名称：1、身份证 2、保险证 3、高空作业证 4、上岗资格证 5、制冷工证 6、驾驶证")
    private String zjmc;

    @ApiModelProperty(value = "证件有效期")
    private String zjyxq;
}
