package com.zfire.jiasm.syncdata.request.oldfornew;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class TradeNewForOldStockBarcodeInfoUploadBean {
	@ApiModelProperty(value = "机器条码")
    private String jqtm;

    @ApiModelProperty(value = "机器条码类型；1:内机；2:外机")
    private Integer tmlx;

    @ApiModelProperty(value = "品类id；空调、冰箱、洗衣机等")
    private Integer spid;

    @ApiModelProperty(value = "品类名称")
    private String spmc;

    @ApiModelProperty(value = "品牌")
    private String pinp;

    @ApiModelProperty(value = "机器类型：挂机、柜机等")
    private String jqlx;

    @ApiModelProperty(value = "匹数")
    private Float pshu;

    @ApiModelProperty(value = "当前存放单位名称")
    private String dqcfmc;

    @ApiModelProperty(value = "当前存放单位id")
    private String dqcfid;

    @ApiModelProperty(value = "网点编号，随着机器归哪个网点而变化")
    private String wdno;

    @ApiModelProperty(value = "联系电话")
    private String yddh;

    @ApiModelProperty(value = "回收时间")
    private Date hssj;

    @ApiModelProperty(value = "回收网点编号")
    private String hsfwwdno;

    @ApiModelProperty(value = "回收网点名称")
    private String hsfwwdmc;

    @ApiModelProperty(value = "最新出入库时间")
    private Date dqsj;

    @ApiModelProperty(value = "最新出入库单号")
    private String dqno;

    @ApiModelProperty(value = "工单类型:1:以旧换新;2:回收工单")
    private Integer srclx;

    @ApiModelProperty(value = "工单信息编号")
    private String srcno;

    @ApiModelProperty(value = "采集源单id")
    @TableField("srcId")
    private String srcId;

    @ApiModelProperty(value = "完成明细id")
    private String pgwcmxid;

    @ApiModelProperty(value = "状态；0:待入库；1:已入库；2:已出库")
    private Integer state;

    @ApiModelProperty(value = "外仓名称")
    private String wcmc;

    @ApiModelProperty(value = "外仓编码")
    private String wcno;

    @ApiModelProperty(value = "创建人id")
    private String createdBy;

    @ApiModelProperty(value = "创建时间")
    private Date createdDate;

    @ApiModelProperty(value = "更新人id")
    private String lastModifiedBy;

    @ApiModelProperty(value = "更新时间")
    private Date lastModifiedDate;

    @ApiModelProperty(value = "源工单销售单号（或小格绿单号）")
    private String srcxsdh;
}
