package com.zfire.jiasm.syncdata.response;

import com.zfire.jiasm.syncdata.request.SignSplb;
import com.zfire.jiasm.syncdata.request.ZJInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-02-13
 */
@Data
public class WangdianWxgVos {
    @ApiModelProperty(value = "最近一次修改时间")
    private String lastModifiedDate;

    @ApiModelProperty(value = "服务人员编号:若有则更新，没有则新建")
    private String wxgno;

    @ApiModelProperty(value = "?")
    private Integer xsgsshstat;

    @ApiModelProperty(value = "服务人员地址信息-区县")
    private String county;

    @ApiModelProperty(value = "从事该工作年数")
    private Integer csgzns;

    @ApiModelProperty(value = "服务人员地址信息-城市")
    private String cshi;

    @ApiModelProperty(value = "服务人员地址信息-具体地址")
    private String dizhi;

    @ApiModelProperty(value = "人脸审核结果：0：未审核；1：通过;9:大数据人脸审核驳回")
    private Integer facecheck;

    @ApiModelProperty(value = "服务人员人脸存储路径")
    private String facepath;

    @ApiModelProperty(value = "状态")
    private String flag;

    @ApiModelProperty(value = "服务人员员工照片保存路径（服务人员自拍照）")
    private String fwryzpfj;

    @ApiModelProperty(value = "服务人员工资卡卡号")
    private String gzkkh;

    @ApiModelProperty(value = "服务人员工资卡所属银行")
    private String gzkssyh;

    @ApiModelProperty(value = "是否已采集人脸：1；是")
    private Boolean hasfaceFlag;

    @ApiModelProperty(value = "设置黑名单备注")
    private String hmdbz;

    @ApiModelProperty(value = "是否需要短信提醒:需要/不需要")
    private Boolean ifmessageFlag;

    @ApiModelProperty(value = "年龄")
    private Integer nianl;

    @ApiModelProperty(value = "培训合格考试时间")
    private String pxhgkssj;

    @ApiModelProperty(value = "服务人员钱包ID")
    private String qbaoid;

    @ApiModelProperty(value = "是否开通钱包(1：开通；0：未开通)")
    private Boolean qbcheackFlag;

    @ApiModelProperty(value = "是否电商工程师")
    private Boolean sfdswxgFlag;

    @ApiModelProperty(value = "服务人员地址信息-省份")
    private String sfen;

    @ApiModelProperty(value = "是否在黑名单：是；否（默认为：false）")
    private Boolean sfhmdFlag;

    @ApiModelProperty(value = "是否培训合格0:不合格；1：合格")
    private Boolean sfpxhgFlag;

    @ApiModelProperty(value = "是否开通掌上通:开通/不开通")
    private Boolean sfzstFlag;

    @ApiModelProperty(value = "服务VIP标识（1-5星，5最高,默认：暂无）")
    private String vipflag;

    @ApiModelProperty(value = "所属网点：只能填本下级，不填则默认本级")
    private String wdno;

    @ApiModelProperty(value = "五星网点分数")
    private Integer wxfensu;

    @ApiModelProperty(value = "服务人员名称")
    private String wxgmc;

    @ApiModelProperty(value = "现从事工作")
    private String xcsgz;

    @ApiModelProperty(value = "性别 :男,女")
    private String xingb;

    @ApiModelProperty(value = "学历：初中以下、中专、高中、大专、本科、研究生")
    private String xueli;

    @ApiModelProperty(value = "服务人员地址信息-乡镇")
    private String xzhen;

    @ApiModelProperty(value = "移动电话")
    private String yddh;

    @ApiModelProperty(value = "每日安装单最大数量")
    private Integer maxaznum;

    @ApiModelProperty(value = "每日维修单最大数量")
    private Integer maxwxnum;

    @ApiModelProperty(value = "证件集合：1、身份证：必填；2、高空作业证、上岗资格证、保险证：101、102、103必填；3、驾驶证：勾选家用—配送必填；4、制冷工证：勾选商用—维修必填")
    private List<ZJInfo> zjInfoList;

    @ApiModelProperty(value = "家用签约品类")
    private List<SignSplb> jySignSplbList;

    @ApiModelProperty(value = "商用签约品类")
    private List<SignSplb> sySignSplbList;
}
