package com.zfire.jiasm.syncdata.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-03-13
 */
@Data
public class WebsitFWS {
    // 服务商网点编码
    private String websitId="";

    // 服务商网点名称
    private String wdmc="";

    // 服务商网点联系电话
    private String wdlxdh="";

    // 该字段存放品牌方的网点系统编号不需要转成平台的
    private String brandSysWebsitNumber="";

    @ApiModelProperty(value = "总包商户/商户编号(结算主体)")
    private String brandId="";

    @ApiModelProperty(value = "总包商户/商户名称(结算主体)")
    private String brandName="";

    @ApiModelProperty(value = "集团id")
    private String groupCompanyId="";

    @ApiModelProperty(value = "集团名称")
    private String groupCompanyName="";
}
