package com.zfire.jiasm.syncdata.utils;

public class RemoteServiceException extends RuntimeException {
    private int status;
    private String message;

    public RemoteServiceException(String message){
        this.status = ResponseHelper.ResponseCode_COMMON;
        this.message = "GF2提示："+message;
    }

    public RemoteServiceException(int status, String message) {

        this.status = status;
        this.message = "GF2提示："+message;

    }

    @Override
    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return this.status;
    }

    public ResponseHelper toResponse(){
        return ResponseHelper.error(this.status,this.message);
    }
}
