package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="City对象", description="")
public class City extends Model<City> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "城市id")
    @TableId(value = "city_id", type = IdType.ID_WORKER_STR)
    private String cityId;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "省id")
    private String provinceId;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "1=正常 0=历史")
    private Boolean status;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "首字母(大写)")
    @TableField("Initial")
    private String Initial;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;


    @Override
    protected Serializable pkVal() {
        return this.cityId;
    }

}
