package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 信息来源
 * </p>
 *
 * @author gejiang
 * @since 2023-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAssignXxlyDowload对象", description="信息来源")
public class ItfTblAssignXxlyDowload extends Model<ItfTblAssignXxlyDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "lyid", type = IdType.ID_WORKER_STR)
    private Long lyid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "编号")
    private String lyno;

    @ApiModelProperty(value = "信息来源名称")
    private String lymc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "状态")
    private String flag;

    @ApiModelProperty(value = "CJREN")
    private String cjren;

    @ApiModelProperty(value = "CJWDNO")
    private String cjwdno;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;


    @Override
    protected Serializable pkVal() {
        return this.lyid;
    }

}
