package com.zfire.jiasm.syncdata.pojo.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-04-04
 */
@Data
public class RefundsFeedbackBO {
    /**
     * 客户端id
     */
    @ApiModelProperty(value = "客户端id")
    private String clientId;
    /**
     * 工单id
     */
    @ApiModelProperty(value = "工单id")
    private String pgguid;
    /**
     * 反馈类型名称
     */
    @ApiModelProperty(value = "反馈类型名称")
    private String xhmc;
    /**
     * 反馈内容
     */
    @ApiModelProperty(value = "反馈内容")
    private String fknr;
    /**
     * 预约开始时间
     */
    @ApiModelProperty(value = "预约开始时间")
    private String yykssj;
    /**
     * 预约结束时间
     */
    @ApiModelProperty(value = "预约结束时间")
    private String yyjssj;
    /**
     * 操作人id
     */
    @ApiModelProperty(value = "操作人id")
    private String fkren;
    /**
     * 操作人名称
     */
    @ApiModelProperty(value = "操作人名称")
    private String fkrenmc;
    /**
     * 系统网点编号
     */
    @ApiModelProperty(value = "系统网点编号")
    private String xtwdbh;
    /**
     * 网点编号
     */
    @ApiModelProperty(value = "网点编号")
    private String wdno;
    /**
     * 网点名称
     */
    @ApiModelProperty(value = "网点名称")
    private String wdmc;
}
