package com.zfire.jiasm.syncdata.pojo.bo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-04-06
 */
@Data
public class SolidAcquisitionBO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 网点编号
     */
    @ApiModelProperty(value = "网点编号")
    private String wdno;
    /**
     * 网点名称
     */
    @ApiModelProperty(value = "网点名称")
    private String wdnm;
    /**
     * 系统网点编号
     */
    @ApiModelProperty(value = "系统网点编号")
    private String xtwdbh;
    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private String wxgid;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String wxgmc;
    /**
     * 创建网点
     */
    @ApiModelProperty(value = "创建网点")
    private String cjwdno;
    /**
     * 上传手机
     */
    @ApiModelProperty(value = "上传手机")
    private String shji;
    // 退货旧机记录
    private List<TblThhDcjsLcDtoList> tblThhDcjsLcDtoList;
    // 退货旧机图像
    private List<TblThhDcjsFjDtoList> tblThhDcjsFjDtoList;
}