package com.zfire.jiasm.syncdata.pojo.bo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-04-06
 */
@Data
public class Tblazwgmxjykt {
    @ApiModelProperty(value = "安装费用")
    private BigDecimal azfy;

    @ApiModelProperty(value = "安装内容（整机，更换外机，更换内机）")
    private String aznr;

    @ApiModelProperty(value = "安装人员")
    private String azren;

    @ApiModelProperty(value = "安装人ID")
    private Long azrenid;

    @ApiModelProperty(value = "安装网点名称")
    private String azwdmc;

    @ApiModelProperty(value = "安装网点")
    private String azwdno;

    @ApiModelProperty(value = "安装网点系统编号")
    private String azwdxtbh;

    @ApiModelProperty(value = "创建时间")
    private String cjdt="";

    @ApiModelProperty(value = "创建人")
    private String cjren;

    @ApiModelProperty(value = "创建人名称")
    private String cjrmc;

    @ApiModelProperty(value = "创建网点")
    private String cjwdno;

    @ApiModelProperty(value = "操作人")
    private String czren;

    @ApiModelProperty(value = "操作时间")
    private String czsj="";

    @ApiModelProperty(value = "操作网点")
    private String czwd;

    @ApiModelProperty(value = "电脑或手机（1：电脑,2：手机）")
    private Integer dnorsj;

    @ApiModelProperty(value = "电商标识，商用安装特殊结算")
    private Integer dsbs;

    @ApiModelProperty(value = "工单明细排序")
    private Integer gdmxpx;

    @ApiModelProperty(value = "购买时间")
    private String gmsj="";

    private String id;

    @ApiModelProperty(value = "安装环境（0：正常环境，1：特殊环境）")
    private Integer installenvironment;
    @ApiModelProperty(value = "安装环境描述")
    private String installambient;
    @ApiModelProperty(value = "支架")
    private String zjia;
    @ApiModelProperty(value = "加长管")
    private String jcguan;
    @ApiModelProperty(value = "空气开关")
    private String kqkg;
    @ApiModelProperty(value = "高空作业")
    private String gkzy;
    @ApiModelProperty(value = "一次成型墙孔")
    private String yccxqk;
    @ApiModelProperty(value = "辅料备注")
    private String flbz;
    @ApiModelProperty(value = "上传手机")
    private String shji;
    @ApiModelProperty(value = "当前节点时间（节点改变时更改）")
    private String dqjdsj="";
    @ApiModelProperty(value = "结算单位编号 主表信息")
    private String jsdwno;
    @ApiModelProperty(value = "结算单位名称 主表信息")
    private String jsdwmc;
    @ApiModelProperty(value = "结算单位系统网点编号唯一 主表")
    private String jsdwxtbh;
    @ApiModelProperty(value = "结算单号")
    private String jsdh;
    @ApiModelProperty(value = "网点批号（安装网点查看批号）")
    private String wdph;
    @ApiModelProperty(value = "安装旧网点代码-6位")
    private String azjwdno;
    @ApiModelProperty(value = "结算旧网点代码-6位")
    private String jsjwdno;

    @ApiModelProperty(value = "自编号码")
    private String zbhm;
    @ApiModelProperty(value = "转结算时间")
    private String zjssj="";

    @ApiModelProperty(value = "旧外机条码")
    private String jwjtm;
    @ApiModelProperty(value = "旧内机条码")
    private String jnjtm;
    @ApiModelProperty(value = "跨区编号")
    private String kqbh;
    @ApiModelProperty(value = "申请作废标识（0：保存；1：申请作废；2：驳回）")
    private Integer applycancelflag;
    @ApiModelProperty(value = "条码修改次数")
    private Integer tmxgcs;
    @ApiModelProperty(value = "结算费用")
    private BigDecimal jsfy;
    @ApiModelProperty(value = "转结算超时需扣除费用")
    private BigDecimal kcfy;
    @ApiModelProperty(value = "开机方式（默认0红外线、1射频、2WIFI）")
    private Integer kjfs;
    @ApiModelProperty(value = "开机密码")
    private String kjmm;
    @ApiModelProperty(value = "备用开机密码")
    private String kjmm2;
    @ApiModelProperty(value = "开机密码标识 0未处理 1有获取开机密码 8有开机密码未获取 9无开机密码")
    private Integer kjmmbs;
    @ApiModelProperty(value = "内机条码")
    private String njtm;
    @ApiModelProperty(value = "内机条码2")
    private String njtm2;
    @ApiModelProperty(value = "安装主键")
    private String pgguid;
    @ApiModelProperty(value = "派工明细序号")
    private String pgmxid;
    @ApiModelProperty(value = "其他收费项目名称")
    private String qtxm;
    @ApiModelProperty(value = "其他收费项目费用")
    private BigDecimal qtxmfy;
    @ApiModelProperty(value = "是否允许手机端修改图片0不允许  1允许修改内机 2允许修改外机 3允许修改外机 4修改图片完成")
    private Integer scazbz;
    @ApiModelProperty(value = "安装日期")
    private String scazsj="";
    @ApiModelProperty(value = "GPS地址信息(对网点和服务人员不显示，仅对销售公司和总部显示)")
    private String sjcjgps;
    @ApiModelProperty(value = "数据采集经度")
    private String sjcjjd;
    @ApiModelProperty(value = "数据采集经纬度")
    private String sjcjjwdu;
    @ApiModelProperty(value = "手机最后修改时间")
    private String sjcjsj="";
    @ApiModelProperty(value = "数据采集纬度")
    private String sjcjwd;
    @ApiModelProperty(value = "产品大类序号")
    private Long spid;
    @ApiModelProperty(value = "产品大类名称")
    private String spmc;
    @ApiModelProperty(value = "结算状态")
    private Integer stat;
    @ApiModelProperty(value = "上一节点")
    private Long syjd;
    @ApiModelProperty(value = "网点上门远程距离（公里）")
    private BigDecimal wdycjl;
    @ApiModelProperty(value = "外机条码")
    private String wjtm;
    @ApiModelProperty(value = "系列序号")
    private Long xiid;
    @ApiModelProperty(value = "系列名称")
    private String ximc;
    @ApiModelProperty(value = "小类序号")
    private Long xlid;
    @ApiModelProperty(value = "小类名称")
    private String xlmc;
    @ApiModelProperty(value = "内机型号")
    private String jxmc;
    @ApiModelProperty(value = "外机型号")
    private String jxno;
    @ApiModelProperty(value = "系统核实的远程距离（公里）")
    private BigDecimal xtycjl;
    @ApiModelProperty(value = "最终上门远程费")
    private BigDecimal ycfy;
    @ApiModelProperty(value = "最近操作时间")
    private String zjczsj="";
    @ApiModelProperty(value = "最近操作网点")
    private String zjczwd;
    @ApiModelProperty(value = "最近操作网点系统编号")
    private String zjczwdxtbh;
    @ApiModelProperty(value = "完成时间")
    private String wcsj="";
    @ApiModelProperty(value = "备注")
    private String beiz;
}
