package com.zfire.jiasm.syncdata.request.oldfornew;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@ApiModel
@Data
public class TradeNewForOldUploadBean {
	@ApiModelProperty(value = "同hxjddid")
    private String id;

    @ApiModelProperty(value = "旧机品牌")
    private String oldMachineBrand;

    @ApiModelProperty(value = "旧机类型")
    private String oldMachineType;

    @ApiModelProperty(value = "旧机品牌是否正确")
    private Integer brandFlag;

    @ApiModelProperty(value = "旧机类型是否正确")
    private Integer typeFlag;

    @ApiModelProperty(value = "实际旧机品牌")
    private String realBrand;

    @ApiModelProperty(value = "实际旧机类型")
    private String realType;

    @ApiModelProperty(value = "机器完整性")
    private String machineIntegrity;

    @ApiModelProperty(value = "旧机临时条码  师傅上门确认回收时贴上去的条码 njtm#wjtm")
    private String tempBarcode;

    @ApiModelProperty(value = "旧机临时条码图像 师傅上门确认回收时贴上去的条码 njtm图像#wjtm图像")
    private String tempBarcodeImg;

    @ApiModelProperty(value = "鉴定结果 0=回收 1=不回收")
    private String identifyResult;

    @ApiModelProperty(value = "工单主键")
    private String pgguid;

    @ApiModelProperty(value = "订单号（销售单号）")
    private String xsdh;

    @ApiModelProperty(value = "产品匹数")
    private Double cpps;

    @ApiModelProperty(value = "工单状态")
    private String stat;

    private String njtm;

    private String wjtm;
    
    
    @ApiModelProperty(value = "gps")
    private String gps;

    @ApiModelProperty(value = "采集定位省")
    private String sjcjsfen;

    @ApiModelProperty(value = "采集定位市")
    private String sjcjcshi;

    @ApiModelProperty(value = "采集定位县")
    private String sjcjxian;

    @ApiModelProperty(value = "gps地址")
    private String gpsdizi;

    @ApiModelProperty(value = "网点编号")
    private String wdno;

    @ApiModelProperty(value = "网点名称")
    private String wdmc;

    @ApiModelProperty(value = "工程师编号")
    private String azrenno;

    @ApiModelProperty(value = "工程师名称")
    private String azren;

    @ApiModelProperty(value = "工程师电话")
    private String azrenyddh;

    @ApiModelProperty(value = "新身份证")
    private String idCard;

    @ApiModelProperty(value = "身份证是否正确 1=一致 2=不一致 3=不享受新机补贴")
    private Integer idCardStatus;

    @ApiModelProperty(value = "是否享受补贴1=享受，0=不享受")
    private Integer isSubsidy;
    
    @ApiModelProperty(value = "附件")
    @Getter
    @Setter
    private List<TradeNewForOldUploadAttachmentBean> jddfj;
}
