package com.zfire.jiasm.syncdata.service;

import com.zfire.jiasm.syncdata.plus.entity.Brand;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignDownload;
import com.zfire.jiasm.syncdata.plus.entity.SysDictRef;

import java.util.List;
import java.util.Map;

public interface AddRepairBusinessService {
    void addRapairOrder(Brand brand, ItfTblAssignDownload item,
                  Map<String, List<SysDictRef>> sysDictRefDLMap,
                  Map<String, List<SysDictRef>> sysDictRefXLMap,
                  Map<String, List<SysDictRef>> sysDictRefXiLieMap,
                  Map<String, List<SysDictRef>> sysDictRefDLMapXq,
                  Map<String, List<SysDictRef>> sysDictRefXLMapXq);

    void updateRapairOrder(Brand brand, Map<String, List<SysDictRef>> sysDictRefDLMap,
                           Map<String, List<SysDictRef>> sysDictRefXLMap,
                           Map<String, List<SysDictRef>> sysDictRefXiLieMap,
                           ItfTblAssignDownload item,
                           Map<String, List<SysDictRef>> sysDictRefDLMapXq,
                           Map<String, List<SysDictRef>> sysDictRefXLMapXq);

    Boolean addRapairOrderApi(Brand brand, ItfTblAssignDownload item,
                  Map<String, List<SysDictRef>> sysDictRefDLMap,
                  Map<String, List<SysDictRef>> sysDictRefXLMap,
                  Map<String, List<SysDictRef>> sysDictRefXiLieMap,
                  Map<String, List<SysDictRef>> sysDictRefDLMapXq,
                  Map<String, List<SysDictRef>> sysDictRefXLMapXq,Boolean flag) throws Exception;

    Boolean updateRepairOrderApi(Brand brand, Map<String, List<SysDictRef>> sysDictRefDLMap,
                     Map<String, List<SysDictRef>> sysDictRefXLMap,
                     Map<String, List<SysDictRef>> sysDictRefXiLieMap,
                     ItfTblAssignDownload item,
                     Map<String, List<SysDictRef>> sysDictRefDLMapXq,
                     Map<String, List<SysDictRef>> sysDictRefXLMapXq,Boolean flag) throws Exception;
}
